from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class CoreConfig(AppConfig):
    default_auto_field = "django.db.models.BigAutoField"
    name = "core"
    verbose_name = _("core")
    icon = "fa fa-solid fa-star"
    priority = 88
    hide = False

    # noinspection PyUnresolvedReferences
    def ready(self) -> None:
        import core.elasticsearch.documents
        import core.signals  # noqa: F401
